summaryrefslogtreecommitdiff
path: root/development/bugle/bugle.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'development/bugle/bugle.SlackBuild')
-rw-r--r--development/bugle/bugle.SlackBuild15
1 files changed, 11 insertions, 4 deletions
diff --git a/development/bugle/bugle.SlackBuild b/development/bugle/bugle.SlackBuild
index 2382f90bbb..37fcaaa15b 100644
--- a/development/bugle/bugle.SlackBuild
+++ b/development/bugle/bugle.SlackBuild
@@ -2,16 +2,17 @@
# Slackware build script for BuGLe
-# Written by Aleksandar B. Samardzic <asamardzic@matf.bg.ac.yu>
+# Written by Aleksandar Samardzic <asamardzic@gmail.com>
# Modified by the SlackBuilds.org project
# (assumed to be public domain per our submission policy)
PRGNAM=bugle
-VERSION=0.0.20080123
+VERSION=${VERSION:-0.0.20080824}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -21,6 +22,8 @@ if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
set -e
@@ -32,7 +35,11 @@ rm -rf $PRGNAM-$VERSION
tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
cd $PRGNAM-$VERSION
chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -48,7 +55,7 @@ make
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)